'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../../_virtual/_rollupPluginBabelHelpers.cjs');
var MetaplexError = require('../../errors/MetaplexError.cjs');

/** @group Errors */
class NftError extends MetaplexError.MetaplexError {
  constructor(message, cause) {
    super(message, 'plugin', 'NFT', cause);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'NftError');
  }
}

/** @group Errors */
class ParentCollectionMissingError extends NftError {
  constructor(mint, operation) {
    const message = `You are trying to send the operation [${operation}] which requires the NFT to have ` + `a parent collection but that is not the case for the NFT at address [${mint}]. ` + 'Ensure the NFT you are interacting with has a parent collection.';
    super(message);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'ParentCollectionMissingError');
  }
}

exports.NftError = NftError;
exports.ParentCollectionMissingError = ParentCollectionMissingError;
//# sourceMappingURL=errors.cjs.map
