import { defineProperty as _defineProperty } from '../../_virtual/_rollupPluginBabelHelpers.mjs';
import { MetaplexError } from '../../errors/MetaplexError.mjs';

/** @group Errors */
class NftError extends MetaplexError {
  constructor(message, cause) {
    super(message, 'plugin', 'NFT', cause);
    _defineProperty(this, "name", 'NftError');
  }
}

/** @group Errors */
class ParentCollectionMissingError extends NftError {
  constructor(mint, operation) {
    const message = `You are trying to send the operation [${operation}] which requires the NFT to have ` + `a parent collection but that is not the case for the NFT at address [${mint}]. ` + 'Ensure the NFT you are interacting with has a parent collection.';
    super(message);
    _defineProperty(this, "name", 'ParentCollectionMissingError');
  }
}

export { NftError, ParentCollectionMissingError };
//# sourceMappingURL=errors.mjs.map
